incubator-ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sumit Mohanty (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-1726) It seems upgrades available at the FE is hard-coded to 1.3.0
Date Wed, 27 Mar 2013 19:39:15 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-1726?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sumit Mohanty updated AMBARI-1726:
----------------------------------

    Description: 
In order to test upgrade, I modified the available stack definitions to allow upgrade from
1.2.0 to 1.2.2 and removed upgrade to 1.3.0. However, the FE still says "(Upgrade available:
*HDP-1.3.0*)". 

However, http://server:8080/api/v1/stacks2/HDP/versions/1.3.0/ has min_upgrade_version as
null.

{noformat}{
  "href" : "http://ec2-54-234-176-118.compute-1.amazonaws.com:8080/api/v1/stacks2/HDP/versions/1.3.0/",
  "Versions" : {
    "stack_version" : "1.3.0",
    "stack_name" : "HDP",
    "min_upgrade_version" : null
  },...{noformat}

  was:
In order to test upgrade, I modified the available stack definitions to allow upgrade from
1.2.0 to 1.2.2 and removed upgrade to 1.3.0. However, the FE still says "(Upgrade available:
*HDP-1.3.0*)". 

However, http://ec2-54-234-176-118.compute-1.amazonaws.com:8080/api/v1/stacks2/HDP/versions/1.3.0/
has min_upgrade_version as null.

{noformat}{
  "href" : "http://ec2-54-234-176-118.compute-1.amazonaws.com:8080/api/v1/stacks2/HDP/versions/1.3.0/",
  "Versions" : {
    "stack_version" : "1.3.0",
    "stack_name" : "HDP",
    "min_upgrade_version" : null
  },...{noformat}

    
> It seems upgrades available at the FE is hard-coded to 1.3.0
> ------------------------------------------------------------
>
>                 Key: AMBARI-1726
>                 URL: https://issues.apache.org/jira/browse/AMBARI-1726
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 1.3.0
>            Reporter: Sumit Mohanty
>            Assignee: Srimanth Gunturi
>             Fix For: 1.3.0
>
>
> In order to test upgrade, I modified the available stack definitions to allow upgrade
from 1.2.0 to 1.2.2 and removed upgrade to 1.3.0. However, the FE still says "(Upgrade available:
*HDP-1.3.0*)". 
> However, http://server:8080/api/v1/stacks2/HDP/versions/1.3.0/ has min_upgrade_version
as null.
> {noformat}{
>   "href" : "http://ec2-54-234-176-118.compute-1.amazonaws.com:8080/api/v1/stacks2/HDP/versions/1.3.0/",
>   "Versions" : {
>     "stack_version" : "1.3.0",
>     "stack_name" : "HDP",
>     "min_upgrade_version" : null
>   },...{noformat}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message